Subject: RE: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: "Drew Adams" <[email-masked]>
Date: Thu, 1 Jan 2009 13:28:02 -0800

> > Huh? Why is that the right thing? The default-frame-alist 
> > is set before turning off tool-bar-mode.
> 
> But you also set tool-bar-lines to 1 in popup-frame-alist, which 
> overrides default-frame-alist for popup frames in any case.
> tool-bar-mode may override settings in default-frame-alist, but it 
> doesn't go any further than that, as the more specialized 
> -frame-alist settings are probably more important than the global
> setting of tool-bar-mode.

Absolutely not. The mode should affect all existing and future frames. That's
always been the case, and it is how other, similar modes, such as
`menu-bar-mode', work.

It has never been the case that some frame alist overrides the current mode
value.